"""
For each theme processes and joins the tables with responses to a state_humansupport question.
Then calculates the Point-Biserial correlation coefficient.

Required raw data:
session responses

The result is printed out into the csv file in Outputs.

Author: Glebs Labunskis
Date: June 2024
"""

from pb_application import process_session_data, calculate_point_biserial_correlations

fp_themes = ['../Data/Theme_binary/appreciate.csv', '../Data/Theme_binary/struggle.csv',
             '../Data/Theme_binary/chance.csv', '../Data/Theme_binary/equal.csv']

# Path to a session data
file_path_session = ''

output_path = '../Outputs/point_biserial_results_humanstate.csv'
binary_col_closed = 'theme'
continuous_col = ['response_value']

filter_value = 'state_humansupport'

# Process session data
df = process_session_data(filter_value, file_path_session, fp_themes)

# Calculate point-biserial correlations
calculate_point_biserial_correlations(fp_themes, df, binary_col_closed, continuous_col, output_path)
